# Uses of Interface
org.eclipse.birt.report.model.api.util.IElementCopy

Packages that use IElementCopy
Package
Description
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of IElementCopy in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util that return IElementCopy
Modifier and Type
Method
Description
`static IElementCopy`
CopyUtil.`copy(DesignElementHandle source)`
Returns the copy of the current element.
Methods in org.eclipse.birt.report.model.api.util with parameters of type IElementCopy
Modifier and Type
Method
Description
`static IPasteStatus`
CopyUtil.`canPaste(IElementCopy copy, DesignElementHandle container, int slotID)`
/** Checks whether the given copy can be pasted into the given slot of the specified element.
`static IPasteStatus`
CopyUtil.`canPaste(IElementCopy copy, DesignElementHandle container, String propName)`
/** Checks whether the given copy can be pasted into the given slot of the specified element.
`static List`
CopyUtil.`paste(IElementCopy copy, DesignElementHandle container, int slotID)`
Pastes a report item to the slot.
`static List`
CopyUtil.`paste(IElementCopy copy, DesignElementHandle container, int slotID, int newPos)`
Pastes a report item to the slot.
`static List`
CopyUtil.`paste(IElementCopy copy, DesignElementHandle container, String propName)`
Pastes a report item to the slot.
`static List`
CopyUtil.`paste(IElementCopy copy, DesignElementHandle container, String propName, int newPos)`
Pastes a report item to the slot.